package net.stepniak.api.picheese.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

@Controller
public class ErrorController {

  @RequestMapping(value = "/error", consumes = "application/json", produces = "application/json")
  @ResponseBody
  public Map<String, Object> handle500json(HttpServletRequest request) {

    Map<String, Object> map = new HashMap<String, Object>();
    map.put("status", request.getAttribute("javax.servlet.error.status_code"));
    map.put("msg", request.getAttribute("javax.servlet.error.message"));
    map.put("error", "INTERNAL_EXCEPTION");

    return map;
  }
}
