package net.stepniak.api.picheese.validator;

import net.stepniak.api.error.exception.ServerResponseException;
import net.stepniak.picheese.error.server.ServerErrorType;

import javax.ws.rs.core.UriInfo;

public class UrlValidator {

  public static void validateUrl(String url, UriInfo uriInfo) {
    if (url == null || url.length() < 1) {
      throw new ServerResponseException(uriInfo, ServerErrorType.PARAM_URL);
    }
  }

}
