package net.stepniak.api.picheese.entities;

import net.stepniak.api.entities.BaseEntity;
import net.stepniak.picheese.PicheeseConst;

import javax.persistence.*;

@MappedSuperclass
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public abstract class SessionEntity extends BaseEntity<String> {
  @Id
  @Column(columnDefinition = "char(" + PicheeseConst.SESSION_LENGHT + ")", unique = true, nullable = false, insertable = true, length = PicheeseConst.SESSION_LENGHT)
  private String id;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }
}
