package net.stepniak.api.picheese.repository;

import net.stepniak.api.picheese.logic.PhotoRateLogic;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Repository
public class PhotoRateDAO {

  @PersistenceContext
  private EntityManager entityManager;

  @Transactional
  public PhotoRateLogic save(PhotoRateLogic entity) {
    entityManager.persist(entity);
    return entity;
  }

}
